/////////////////////////////////////////////////////////////////////////////
// Name:        textviewer.h
// Author:      Stefan Liersch
// Contact:		stefan.liersch@ufz.de stefan.liersch@googlemail.com
// Created:     2007-02-05
/////////////////////////////////////////////////////////////////////////////

#ifndef __TextViewer_H
#define __TextViewer_H

#if defined(__GNUG__) && !defined(NO_GCC_PRAGMA)
    #pragma interface "MenuBar.h"
#endif

// Include wxWidgets' headers
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
//---------------------------------------------------------------------

class CTextViewer : public wxDialog
{
public:
	CTextViewer(wxWindow *parent, wxWindowID id, const wxString &title, bool b_msgBox);
	~CTextViewer();

	wxString			Get_Text();
	void				Set_TextBox(wxString msg, bool linefeed = true);
	void				Set_Message(wxString msg);
	void				Clear_MsgBox();

private:
	wxTextCtrl	*TextBox;
	wxTextCtrl	*MsgBox;
	bool		m_bmsgBox;
};


#endif